/* Content -------------------------------------------------------- */
#app {
	border-radius: 15px;
	padding: 20px;
	background-color: rgba(0, 0, 0, 0.4);
}

form {
	display: flex;
	flex-direction: column;
	align-items: center;
}

form h1 {
	width: 100%;
	margin: 0px;
	color: #FF0;
	text-align: center;
}

form input {
	width: 100%;
	max-width: 800px;
	border-radius: 5px;
	border: 2px solid #088;
	padding: 10px;
	margin-top: 15px;
	font: bold 16px monospace;
	background-color: transparent;
	color: #FFF;
}

form input:focus {
	outline-style: none;
	border-color: #0FF;
}

form output {
	width: 100%;
	max-width: 800px;
	padding-top: 15px;
	font-size: 16px;
	color: #0FF;
	line-height: 1.5em;
}

#app h2 {
	margin: 0px;
	padding-top: 15px;
	color: #FF0;
}

#app ul {
	margin-top: 10px;
	margin-bottom: 0px;
	padding: 0px;
	font: 16px monospace;
	list-style-type: none;
}

#app li {
	line-height: 1.5em;
}

/* For Argument Analysis ------------------------------------------ */

#premises {
	width: 100%;
	max-width: 800px;
}

#buttons {
	padding-top: 15px;
}

#buttons button {
	border-width: 0px;
	border-radius: 5px;
	width: 30px;
	height: 30px;
	background-color: #088;
	font-size: 20px;
	color: #000;
}

#buttons button:hover {
	background-color: #0FF;
	color: #008;
}

/* Footer --------------------------------------------------------- */
footer {
	padding-top: 15px;
	padding-bottom: 15px;
	color: #FF0;
	text-align: center;
}

footer a {
	text-decoration: none;
	font-weight: bold;
	color: #0FF;
}

footer a:hover {
	color: #088;
}

/* Header --------------------------------------------------------- */
header {
	background-color: rgba(34, 34, 161, 0.8);
	position: fixed;
	top: 0px;
	left: 0px;
	text-align: center;
	border-bottom-right-radius: 20px;
}

header h1 {
	margin: 10px;
	font-weight: bold;
	font-size: 24px;
	color: #FF0;
}

header a {
	color: #FF0;
	text-decoration: none;
}

header a:hover {
	color: #880;
}

/* Startpage Nav -------------------------------------------------- */
#options {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

#options a {
	width: 200px;
	margin: 5px;
	padding: 10px;
	border-radius: 10px;
	font-weight: bold;
	text-decoration: none;
	text-align: center;
	background-color: #0FF;
	color: #008;
}

#options a:hover {
	background-color: #088;
	color: #000;
}

/* Page ----------------------------------------------------------- */
* {
	box-sizing: border-box;
}

body {
	font-family: sans-serif;
	margin: auto;
	background-color: #2222A1;
	background-image: url("/img/bkg.png");
	background-size: 50px;	
}

main {
	max-width: 1024px;
	margin-top: 75px;
	margin-left: auto;
	margin-right: auto;
	padding: 20px;
	color: #FFF;
}

